<!DOCTYPE html>
<html lang="en">
<head>
    <title>Document</title>
    <style>
        .item1{ grid-area: header;}
        .item2{grid-area: menu;}
        .item3{grid-area: main;}
        .item4{grid-area: right;}
        .item5{grid-area: footer;}
        .container{
            display: grid;
            grid-template-areas: 'header header header header header header'
            'menu menu main main main right' 'footer footer footer footer footer footer';
            
        }
        .container>div{
            border: 1px solid black;
            padding: 20px;
            font-size: 25px;
            background-color: rgb(99, 185, 106);
        }
    </style>
</head>
<body>
    <div class="container">
    <div class="item1">header</div>  
  <div class="item2">menu</div>
  <div class="item3">main</div>
  <div class="item4">right</div>
  <div class="item5">footer</div>
    </div>
  
</body>
</html>